var scriptName = "Fast Eat"; 
var scriptVersion = 1.0; 
var scriptAuthor = "soulplexis";

var highJump = new HighJump();
var highJumpClient;
var C03PacketPlayer = Java.type('net.minecraft.network.play.client.C03PacketPlayer');

function HighJump() {
    this.getName = function() {
        return "FastEat";
    };

    this.getDescription = function() {
        return "Makes you eat Faster";
    };

    this.getCategory = function() {
        return "Player";
    };

    this.onUpdate = function() {
		if(mc.thePlayer.isUsingItem() == true) {
		mc.thePlayer.sendQueue.addToSendQueue(new C03PacketPlayer(true));
    	}
    }
    this.onDisable = function() {
    }
}

function onLoad() {
};

function onEnable() {
    highJumpClient = moduleManager.registerModule(highJump);
};

function onDisable() {
    moduleManager.unregisterModule(highJumpClient);
};